/*
Copyright 2006 Renaun Erickson (http://renaun.com)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
/*
	Video object container to be used with FMS or other Video implementations
*/
package com.renaun.fms
{
	
import mx.core.UIComponent;
import flash.events.Event;
import flash.media.Video;

/**
 *  The VideoContainer component provides a basic Container for the Video object
 *
 */
public class VideoContainer extends UIComponent
{

	//--------------------------------------------------------------------------
	//
	//  Constructor
	//
	//--------------------------------------------------------------------------
    
    /**
     * 	VideoContainer constructor
     */
	public function VideoContainer()
	{
		super();
		addEventListener(Event.RESIZE, resizeHandler);
	}

	//--------------------------------------------------------------------------
	//
	//  Variables
	//
	//--------------------------------------------------------------------------

	/**
	 *	@private
	 */
    private var _video:Video;
	
	/**
	 *	Set Video object the container will control
	 */
    public function set video( myVideo:Video ):void
    {
        if (_video != null)
        {
            removeChild( _video );
        }

		_video = myVideo;

       	if (_video != null)
        {
            _video.width = width;
            _video.height = height;
            addChild(_video);
        }
    }

	/**
	 * 	Resize event handler
	 * 
	 *  @param event Event object
	 */ 
    private function resizeHandler( event:Event ):void
    {
        if (_video != null)
        {
           _video.width = width;
           _video.height = height;
        }
    }

}
}