/*
Copyright 2006 Renaun Erickson (http://renaun.com)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
/*
	Stat Object contains data on a FMS Connection
*/
package com.renaun.fms.vo
{
	
public class StatObject
{
	/**
	 *  Latency value in milliseconds
	 */
	public var latency:Number;

	private var _bandwidthUp:Number;
	/**
	 *  Up bandwidth value in kbits/seconds
	 */
	public function set bandwidthUp( value:Number ):void 
	{
		_bandwidthUp = value;
	}
	public function get bandwidthUp():Number 
	{
		return _bandwidthUp * 8;
	}	

	private var _bandwidthDown:Number;
	/**
	 *  Down bandwidth value in kbits/seconds
	 */
	public function set bandwidthDown( value:Number ):void 
	{
		_bandwidthDown = value;
	}
	public function get bandwidthDown():Number 
	{
		return _bandwidthDown * 8;
	}	

	/**
	 *  Frames per second of the attached Camera
	 */
	public var fps:Number;
}

}